**Better Auto Run**

A BepInEx mod that allows your viking to sprint across the vast biomes with one hand! I found the original Autorun feature a little useless because you would soon get stuck running into a tree and have to stop Autorun to change directions or by holding down the right mouse button (cramp!). This solves that! You can enable Autorun then just use your mouse to direct your viking.

**Features**

- Sprint Toggle
- Sneak Toggle
- Stamina Reserve (supported by both Sneak and Sprint)
- Strafing without cancelling autorun
- Jumping without cancelling autorun


You can also temporarily revert to the vanilla look mode by holding block while autorunning.

Stamina reserve works by disabling sprint, or halting your Viking if sneaking, until max stamina is regained then continues.

**Installation**
To install the mod, extract the contents of .zip into the "plugins" folder into "\BepInex\plugins".

**Using the Mod**
Just hit your usual Autorun keyboard shortcut! Tap the sprint button to toggle sprinting on/off.

**Configuration**

**General**


```
IsEnabled = true
```

Is the mod enabled or not.

Setting type: Boolean
Default value: true



**Sprinting**
```
ToggleSprintEnabled = true
```

When true, allows you to toggle sprint on an off.

Setting type: Boolean
Default value: true


```
StaminaReservePercent = 0.2
```

Automatically disables the sprint toggle to reserve a percentage (0.0 - 1.0) of your available stamina.

Setting type: Single
Default value: 0.2


![](https://staticdelivery.nexusmods.com/mods/3667/images/thumbnails/699/699-1616596087-670521279.png)
